export const getValidationConstants = (t) => {
  return {
    ENGLISH_LETTERS_AND_ARABIC_LETTERS_AND_NUMBERS_100_CHARACTERS: {
      regex: /^[\u0621-\u064Aa-zA-Z0-9\s]{1,100}$/,
      message: t('ONLY_ENGLISH_AND_ARABIC_LETTERS_AND_NUMBERS_ARE_ALLOWED_UP_TO_100_CHARACTERS'),
    },
    /*
      /^[\u0621-\u064Aa-zA-Z0-9\s/]{1,1000}$/,
        t('ONLY_ENGLISH_AND_ARABIC_LETTERS_AND_NUMBERS_ARE_ALLOWED_UP_TO_1000_CHARACTERS'),
    */
    textAreaValidation: {
      regex: /^[\u0621-\u064Aa-zA-Z0-9\s/]{1,1000}$/,
      message: t('ONLY_ENGLISH_AND_ARABIC_LETTERS_AND_NUMBERS_ARE_ALLOWED_UP_TO_1000_CHARACTERS'),
    },
    textAreaValidationWithSymbols: {
      //eslint-disable-next-line
      regex: /^[A-Za-z\d\u0600-\u06FF!@#$%^&*()_\-+=\[\]{}|;:,.<>? ]{0,500}$/,
      message: t('ONLY_ENGLISH_AND_ARABIC_LETTERS_AND_NUMBERS_AND_SYMBOLS_ARE_ALLOWED_UP_TO_500_CHARACTERS'),
    },
  };
};
